Create a Saving
curl --request POST \
--url https://cashboard-f5x2.onrender.com/savings/add \
--header 'Content-Type: application/json' \
--data '
{
"desc": "New Car",
"goal": 950000,
"currency": "KSH",
"currentAmount": 0
}
'import requests
url = "https://cashboard-f5x2.onrender.com/savings/add"
payload = {
"desc": "New Car",
"goal": 950000,
"currency": "KSH",
"currentAmount": 0
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({desc: 'New Car', goal: 950000, currency: 'KSH', currentAmount: 0})
};
fetch('https://cashboard-f5x2.onrender.com/savings/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"savings": [
{
"desc": "New Car",
"goal": "950000",
"currency": "KSH",
"_id": "662fd2808f1d17198913a0c8",
"createdAt": "2024-04-29T17:01:52.662Z",
"updatedAt": "2024-04-29T17:01:52.662Z"
}
]
}{
"status": "error",
"message": "Savings not added!"
}Savings
Create a Saving
This endpoint creates a new saving for the specified user.
Endpoint: https://cashboard-f5x2.onrender.com/saving/add
Query Parameter: User UUID
The request body includes:
- desc (string) - A description of the saving goal
- goalAmount (number) - The goal
- currency (string) - The user’s preference
- currentAmount (number) - the current amount saved
** The currency and currentAmount are not required.
The response is JSON object that contains all the user’s savings. An individual saving contains:
-
desc (string) - A description of the saving goal
-
goalAmount (number) - The goal
-
currency (string) - The user’s preference
-
currentAmount (number) - the current amount saved
-
_id - the unique identifier of the saving
POST
/
savings
/
add
Create a Saving
Query Parameters
Body
application/json
The body is of type object.
Response
OK
The response is of type object.

